# Advent of Code 2021

This folder contains the solution runner for Advent of Code 2021. All days will be solved in Rust,
with the goal of having a total time across all puzzles of one second or less.

```
aoc-2021 

Advent of Code 2021 runner

USAGE:
    aoc-2021 [OPTIONS] <DAY>

ARGS:
    <DAY>    Which day to run

OPTIONS:
    -2, --part2            Run part 2 instead of part 1
    -h, --help             Print help information
    -i, --input <INPUT>    Read input from the given file instead of stdin
    -t, --time             Print time taken
```

## That goal was achieved

Runtime benchmarked with [Criterion], reading input directly from memory to avoid disk IO
inconsistencies.

![Cumulative time](./cumulative-time.svg)

![Time by day](./individual-time.svg)


[Criterion]: https://github.com/bheisler/criterion.rs
